# `router.go(path)`

プログラム的に新しい route にナビゲートします。

### 引数

- `path: String | Object`

  パスは文字列かオブジェクトのどちらか使用できます。

  文字列の場合、パスはプレーンなパス (すなわち、動的セグメントまたはスターセグメント) の必要があります。パスは `/` で開始されず、現在のアクティブなパスの相対パスで解決されます。

  オブジェクトの場合、いずれかの形式になります:

  ``` js
  { path: '...' }
  ```

  または:

  ``` js
  {
    name: '...',
    // params と query は任意です
    params: { ... },
    query: { ... }
  }
  ```

  `name` オブジェクトフォーマットについての詳細は、[Named Routes](../named.md) を参照してください。

  - `path` フォーマットを使用して早退パスにナビゲートしているとき、相対パスがいつも現在のパスに**追加される**ため、`append: true` オプションに渡すことができます。例えば:

    - `append: true` オプションなしで `/a` から `b` への移動は、`/b` に着きます

    - `append: true` オプションありで `/a` から `b` への移動は、`/a/b` に着きます

  - 両方のフォーマットも新しいものを作成するのではなく、現在の履歴エントリを置き換えるためにナビゲーションする `replace: true` オプションを受け入れます。
